#ifndef POWERMANAGEMENT_LIBKYLOCKSCREEN_H_
#define POWERMANAGEMENT_LIBKYLOCKSCREEN_H_

/**
 * @file libkylockscreen.h
 * @author liuyunhe (liuyunhe@kylinos.cn)
 * @brief 提供锁屏设置能力
 * @version 0.1
 * @date 2021-11-17
 * 
 * @copyright Copyright (c) 2021
 * @defgroup libkysdk-powermanagement
 * @{
 * 
 * 
 */

#include <stdint.h>

#ifdef __cplusplus
extern "C"
{
#endif

/**
 * @brief 设置禁止锁屏 
 * 
 * @param appName : 应用名
 * @param reason : 禁止锁屏原因
 * 
 * @return uint32_t 0 : 失败 , >0 : 成功
 */
extern uint32_t kdk_set_inhibit_lockscreen(const char *appName , const char *reason);

/**
 * @brief 取消禁止锁屏 
 * 
 * @param flag : 禁止锁屏接口的返回值
 * 
 * @retval 0 : 成功
 * @retval -1 : 失败
 */
extern int kdk_un_inhibit_lockscreen(uint32_t flag);

#ifdef __cplusplus
}
#endif

#endif

/**
 * \example kysdk-system/src/powermanagement/test/testlockscreen/main.c
 * 
 */